<?php
//This code was created by Me. And by "Me", I mean Nathan Rice.

$wp_theme_name = "Blogging Success";
$wp_theme_shortname = "bs";

$ithemes_theme_path = TEMPLATEPATH;
$ithemes_theme_relative_path = ltrim( str_replace( '\\', '/', str_replace( rtrim( ABSPATH, '\\\/' ), '', TEMPLATEPATH ) ), '\\\/' );
$ithemes_theme_url = get_template_directory_uri();


// Pull options from database, to use them in the theme
$wp_theme_options = get_option($wp_theme_shortname.'-options');
// Be sure to globalize the variable above in the theme files you'd like to use it in.
global $wp_theme_options; //wrapped in php tags

// Add the admin
function wp_theme_admin() {

// Use Globals
global $wp_theme_name;
global $wp_theme_shortname;

add_theme_page($wp_theme_name." Theme Options", $wp_theme_name." Theme Options", 'edit_themes', basename(__FILE__), 'wp_theme_adminpage_print');
}

// Process POST vars
function wp_theme_processforms() {
	
// Use Globals
global $wp_theme_name;
global $wp_theme_shortname;
global $wp_theme_options;
	
	//If User chose to save
	if ( 'save' == $_REQUEST['action'] ) {
	
	// Define and Sanitize (if necessary) before store
	$wp_theme_options['style'] = $_POST['theme_style'];
	$wp_theme_options['feedburner_url'] = $_POST['feedburner_url'];
	$wp_theme_options['exclude_pages'] = $_POST['exclude_pages'];
	$wp_theme_options['feature_video'] = $_POST['feature_video'];
	$wp_theme_options['links_on'] = $_POST['links_on'];
	$wp_theme_options['search_text'] = $_POST['search_text'];
	$wp_theme_options['search_url'] = $_POST['search_url'];
	$wp_theme_options['rss_text'] = $_POST['rss_text'];
	$wp_theme_options['rss_url'] = $_POST['rss_url'];
	$wp_theme_options['upcoming_text'] = $_POST['upcoming_text'];
	$wp_theme_options['upcoming_url'] = $_POST['upcoming_url'];
	$wp_theme_options['podcast_text'] = $_POST['podcast_text'];
	$wp_theme_options['podcast_url'] = $_POST['podcast_url'];
	$wp_theme_options['storefront_text'] = $_POST['storefront_text'];
	$wp_theme_options['storefront_url'] = $_POST['storefront_url'];
	$wp_theme_options['shopping_text'] = $_POST['shopping_text'];
	$wp_theme_options['shopping_url'] = $_POST['shopping_url'];
	$wp_theme_options['address_text'] = $_POST['address_text'];
	$wp_theme_options['address_url'] = $_POST['address_url'];
	$wp_theme_options['download_text'] = $_POST['download_text'];
	$wp_theme_options['download_url'] = $_POST['download_url'];
	$wp_theme_options['tracking'] = $_POST['tracking'];
	$wp_theme_options['tracking_pos'] = $_POST['tracking_pos'];
	
	// Store
	update_option($wp_theme_shortname.'-options',$wp_theme_options);
	echo '
	<div class="updated fade" id="message"><p>Theme Options <strong>SAVED</strong>.</p></div>
	';
	}
	
	//If User chose to reset
	else if( 'reset' == $_REQUEST['action'] ) {
	// Delete/Reset
	delete_option($wp_theme_shortname.'-options');
	echo '
	<div class="updated fade" id="message"><p>Theme Options <strong>RESET</strong>.</p></div>
	';
	}
}

function wp_theme_get_theme_styles() {
	$files = array();
	
	if ( $dir = @opendir( TEMPLATEPATH ) ) {
		while ( ( $file = readdir( $dir ) ) !== false )
			if ( is_file( TEMPLATEPATH . '/' . $file ) && ( preg_match( '/^style-(.+)\.css$/i', $file, $matches ) ) )
				$files[] = $matches[1];
		
		closedir( $dir );
	}
	
	sort( $files );
	
	return $files;
}

// Print admin page
function wp_theme_adminpage_print() {
	
if (isset($_POST['wp_theme_options_submit']) && ($_POST['wp_theme_options_submit'] == 1) ) wp_theme_processforms();

// Set Globals
global $wp_theme_name;
global $wp_theme_shortname;
global $wp_theme_options;
global $wpdb;

// Pull options from database
$wp_theme_options = get_option($wp_theme_shortname.'-options');
// Set variables
extract((array)$wp_theme_options);

	
wp_theme_options_adminpage_css(); // custom css
?>
<!--<?php print_r($wp_theme_options); //if you want to see the content of the array for debugging ?>-->
    <div class="wrap">
    <h2><?php echo $wp_theme_name; ?> Theme Settings</h2>
    <form method="post" action="" id="wp_theme_options">
	<?php wp_nonce_field('wp_theme_options_submit'); ?>
	<table class="form-table"><tbody>
	<input type="hidden" name="wp_theme_options_submit" value="1"/>
    
	<tr>
		<th scope="row">Select a Theme Style</th>
	<td>
	<select name="theme_style" id="theme_style">
	<option value="">Default</option>
	<?php
		$files = wp_theme_get_theme_styles();
		
		foreach ( (array) $files as $file ) {
			if ( $file == $style )
				echo '<option selected value="' . $file . '">' . $file . '</option>';
			else
				echo '<option value="' . $file . '">' . $file . '</option>';
		}
	?>
	</select>
	</td></tr>
	
	<tr><th scope="row">Feedburner URL</th>
	<td>If you use a site like <a href="http://feedburner.com/">Feedburner</a> to handle your feeds, please enter your feed URL here (including http://):<br />
	<input type="text" value="<?php echo $feedburner_url; ?>" name="feedburner_url" id="feedburner_url"> (leave blank for none)
	</td></tr>
	
	<tr><th scope="row">Exclude Pages from Navigation</th>
	<td>Select any Pages you would like excluded from the horizontal navigation bar, including the "<strong>Home</strong>" link.<br />
	You may select more than one page by ctrl+clicking (command+click on the Mac) multiple Pages:<br />
	<select multiple name="exclude_pages[]" id="exclude_pages" size="100">
	<option value="home"<?php if ($exclude_pages && in_array(0, $exclude_pages)) { echo ' selected="selected"'; } ?>>Home</option>
	<?php $pages = get_pages();
	foreach ($pages as $page) {
	if ($exclude_pages && in_array($page->ID, $exclude_pages)) { $selected = ' selected="selected"'; } else { $selected = ''; }
	$opt = '<option value="' . $page->ID . '"' . $selected . '>' . $page->post_title . '</option>';
	echo $opt; } ?>
	</select>
	</td></tr>
	
	<tr><th scope="row">Feature Video Code</th>
	<td>Paste the embed code for the video (like <a href="http://www.youtube.com/">YouTube</a> or <a href="http://vimeo.com">Vimeo</a>) you would like featured on the front page:<br />
	<textarea name="feature_video" id="feature_video" rows="3" cols="50"><?php echo stripslashes($feature_video); ?></textarea>
	</td></tr>
	
	<tr><th scope="row">Quick Links</th>
	<td>Quicklinks are specials links that display in the sidebar.  They are displayed along with a graphic to help usability.  Check the box below to turn them on, then paste in the corresponding text and URL for each quicklink.  Leave the URL blank if you do not wish to use that particular quicklink.<br /><br />
	
	<input type="checkbox" name="links_on" value="true" <?php if($links_on) echo 'checked="yes"'; ?>/> Turn Quicklinks On<br /><br />
	
	<strong>Please paste the text and URLs for the pages that will be used in the sidebar:</strong><br /><br />
	
	"Search" text:<br />
	<input type="text" value="<?php if($search_text){echo $search_text;} else {echo 'Search This Site';} ?>" name="search_text" class="textbox"><br />
	"Search" URL:<br />
	<input type="text" value="<?php echo $search_url; ?>" name="search_url" class="textbox"> (leave blank for none)<br /><br />
	
	"RSS" text:<br />
	<input type="text" value="<?php if($rss_text){echo $rss_text;} else {echo 'RSS Feed';} ?>" name="rss_text" class="textbox"><br />
	"RSS" URL:<br />
	<input type="text" value="<?php echo $rss_url; ?>" name="rss_url" class="textbox"> (leave blank for none)<br /><br />
	
	"Upcoming Events" text:<br />
	<input type="text" value="<?php if($upcoming_text){echo $upcoming_text;} else {echo 'Upcoming Events';} ?>" name="upcoming_text" class="textbox"><br />
	"Upcoming Events" URL:<br />
	<input type="text" value="<?php echo $upcoming_url; ?>" name="upcoming_url" class="textbox"> (leave blank for none)<br /><br />
	
	"Podcast" text:<br />
	<input type="text" value="<?php if($podcast_text){echo $podcast_text;} else {echo 'Listen to our Podcast';} ?>" name="podcast_text" class="textbox"><br />
	"Podcast" URL:<br />
	<input type="text" value="<?php echo $podcast_url; ?>" name="podcast_url" class="textbox"> (leave blank for none)<br /><br />
	
	"Storefront" text:<br />
	<input type="text" value="<?php if($storefront_text){echo $storefront_text;} else {echo 'Check Out Our Store';} ?>" name="storefront_text" class="textbox"><br />
	"Storefront" URL:<br />
	<input type="text" value="<?php echo $storefront_url; ?>" name="storefront_url" class="textbox"> (leave blank for none)<br /><br />
	
	"Shopping Cart" text:<br />
	<input type="text" value="<?php if($shopping_text){echo $shopping_text;} else {echo 'View Shopping Cart';} ?>" name="shopping_text" class="textbox"><br />
	"Shoppint Cart" URL:<br />
	<input type="text" value="<?php echo $shopping_url; ?>" name="shopping_url" class="textbox"> (leave blank for none)<br /><br />
	
	"Address Book" text:<br />
	<input type="text" value="<?php if($address_text){echo $address_text;} else {echo 'View Address Book';} ?>" name="address_text" class="textbox"><br />
	"Address Book" URL:<br />
	<input type="text" value="<?php echo $address_url; ?>" name="address_url" class="textbox"> (leave blank for none)<br /><br />
	
	"Download" text:<br />
	<input type="text" value="<?php if($download_text){echo $download_text;} else {echo 'Download Free Report';} ?>" name="download_text" class="textbox"><br />
	"Download" URL:<br />
	<input type="text" value="<?php echo $download_url; ?>" name="download_url" class="textbox"> (leave blank for none)<br /><br />
	</td></tr>
	
	<tr><th scope="row">Tracking Code</th>
	<td>If you use a tracking service like <a href="http://google.com/analytics">Google Analytics</a>, paste the tracking code in the box below:<br />
	(leave blank for none)<br />
	<textarea name="tracking" id="tracking" rows="3" cols="50"><?php echo stripslashes($tracking); ?></textarea><br />
	Does your tracking service go in the header or footer of the code?<br />
	<input type="radio" name="tracking_pos" value="header" <?php if($tracking_pos == 'header') echo 'checked'; ?>> Header<br />
	<input type="radio" name="tracking_pos" value="footer" <?php if($tracking_pos == 'footer') echo 'checked'; ?>> Footer
	</td></tr>
		
	</tbody></table>
	
	<p class="submit">
	<input name="save" type="submit" value="Save Options &raquo;" />	
	<input type="hidden" name="action" value="save" />
	</p>
	</form>
	<form method="post">
	<p class="submit">
	<input name="reset" type="submit" value="Reset Options &raquo;" />
	<input type="hidden" name="wp_theme_options_submit" value="1"/>
	<input type="hidden" name="action" value="reset" />
	</p>
	</form>

	</form>
	</div>
<?php
	wp_theme_adminpage_js(); // custom javascript
}
function wp_theme_options_adminpage_css() { //if you would like to add CSS to the admin page
	echo <<<CSS
	<style type="text/css">
		#wp_theme_options #exclude_pages {
			width: 210px;
		}
		#wp_theme_options #exclude_pages {
			height: 100px;
		}
		#wp_theme_options #feedburner_url,
		#wp_theme_options #feature_video,
		#wp_theme_options #tracking {
			width: 400px;
		}
	</style>
	
	
CSS;
}
function wp_theme_adminpage_js() { // if you would like to add javascript to the admin page
	echo <<<JS
	<script type="text/javascript">
	</script>
JS;

}
add_action('admin_menu', 'wp_theme_admin'); 
?>
