<?php
// Setting up our widgetized sidebars
if ( function_exists('register_sidebar') ) {
register_sidebar(array('name'=>'Homepage Sidebar','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>',));
register_sidebar(array('name'=>'Feature Left','before_widget' => '','after_widget' => '','before_title' => '<h2>','after_title' => '</h2>',));
register_sidebar(array('name'=>'Feature Right','before_widget' => '','after_widget' => '','before_title' => '<h2>','after_title' => '</h2>',));
register_sidebar(array('name'=>'Site Sidebar','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>',));
register_sidebar(array('name'=>'Blog Sidebar','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>',));
}

//Removing some unwanted widgets and adding some new ones
function add_remove_widgets() {
    if ( function_exists('unregister_sidebar_widget') ) {
        unregister_sidebar_widget( __('Search') );
        unregister_sidebar_widget( __('Calendar') );
        unregister_sidebar_widget( __('Tag Cloud') );
    }
}
add_action('widgets_init','add_remove_widgets'); //Run the add_remove_widgets function when the widgets initialize

//Turns /n to <br /> and /n/n to </p><p>
function nls2p($str) {
	$str = str_replace('<p></p>', '', '<p>'
        . preg_replace('#([\r\n]\s*?[\r\n]){2,}#', '</p><p>', $str)
        . '</p>');
	return $str;
}

//Define the wp_content DIR for backward compatibility
if (!defined('WP_CONTENT_URL'))
	define('WP_CONTENT_URL', get_option('site_url').'/wp-content');
if (!defined('WP_CONTENT_DIR'))
	define('WP_CONTENT_DIR', ABSPATH.'/wp-content');
	
//A function to include files throughout the theme
//It checks to see if the file exists first, so as to avoid error messages.
function get_template_file($filename) {
if (file_exists(TEMPLATEPATH."/$filename"))
include(TEMPLATEPATH."/$filename");
}

//Custom Header Image code
include(TEMPLATEPATH."/lib/custom-header.php");

//Theme Options Code
include(TEMPLATEPATH."/lib/theme-options.php");

///Tracking/Analytics Code
function print_tracking() {
	global $wp_theme_options;
	echo stripslashes($wp_theme_options['tracking']);
}
if ($wp_theme_options['tracking']) {
if ($wp_theme_options['tracking_pos'] == "header") {
	add_action('wp_head', 'print_tracking'); }
else { //default
	add_action('wp_footer', 'print_tracking'); } }
?>