<?php
/*
Template Name: Blog Index
*/
?>
<?php get_header(); global $wp_theme_options; ?>
<?php get_sidebar(); //include sidebar ?>
<!--page_blog.php-->

<div id="content">
	<?php $numposts = get_option('posts_per_page'); ?>
	<?php $blog_query = new WP_Query('showposts='.$numposts.'&paged='.$paged); ?>
	<?php if($blog_query->have_posts()) : while($blog_query->have_posts()) : $blog_query->the_post(); ?>
	
	<!--Post Wrapper Class-->
	<div <?php if (function_exists('post_class')) post_class(); ?>>
	
	<!--post title-->
	<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>
			
	<!--post text with the read more link-->
	<?php the_content(); ?>
	
	<!--for paginate posts-->
	<?php link_pages('<p><strong>Pages:</strong> ', '</p>', 'number'); ?>

	<!--post meta info-->
	<div class="meta-bottom clearfix">
		<div class="alignleft">
			Posted by: <?php the_author_posts_link(); ?><br />
			<?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?>
		</div>
		<div class="alignright">
			<?php the_time(get_option('date_format')); ?><br />
			Filed Under: <?php the_category(', ') ?>
		</div>
    </div>
    
    </div><!--end .post div-->
	
	<?php endwhile; // end of one post ?>
	
    <!-- Previous/Next page navigation -->
    <div class="page-nav">
	    <div class="alignleft"><?php previous_posts_link(__('&laquo; Previous Page')) ?></div>
	    <div class="alignright"><?php next_posts_link(__('Next Page &raquo;')); ?></div>
    </div>   

	<?php else : // do not delete ?>
	
	<h3><?php _e("Page not Found"); ?></h3>
    <p><?php _e("We're sorry, but the page you're looking for isn't here."); ?></p>
    <p><?php _e("Try searching for the page you are looking for or using the navigation in the header or sidebar"); ?></p>

    <?php endif; // do not delete ?>
	
</div>

<?php get_footer(); ?>