<?php
//This code was created by Me. And by "Me", I mean Nathan Rice.
//Referring to myself in the 3rd person would be douche-ish, no?

$wp_theme_name = "Deep Order"; //Used as a title in various places
$wp_theme_shortname = "do"; //Used to add these options to the database

// Pull options from database, to use them in the theme
$wp_theme_options = get_option($wp_theme_shortname.'-options');
// Be sure to globalize the variable above in the theme files you'd like to use it in.
global $wp_theme_options; //wrapped in php tags

// Add the admin
function wp_theme_admin() {

// Use Globals
global $wp_theme_name;
global $wp_theme_shortname;

add_theme_page($wp_theme_name." Theme Options", $wp_theme_name." Theme Options", 'edit_themes', basename(__FILE__), 'wp_theme_adminpage_print');
}

// Process POST vars
function wp_theme_processforms() {
	
// Use Globals
global $wp_theme_name;
global $wp_theme_shortname;
global $wp_theme_options;
	
	//If User chose to save
	if ( 'save' == $_REQUEST['action'] ) {
	
	// Define and Sanitize (if necessary) before store
	$wp_theme_options['feedburner_url'] = $_POST['feedburner_url'];
	$wp_theme_options['exclude_pages'] = $_POST['exclude_pages'];
	$wp_theme_options['blurb_title'] = $_POST['blurb_title'];
	$wp_theme_options['blurb_copy'] = $_POST['blurb_copy'];
	$wp_theme_options['homepage_title'] = $_POST['homepage_title'];
	$wp_theme_options['homepage_copy'] = $_POST['homepage_copy'];
	$wp_theme_options['tracking'] = $_POST['tracking'];
	$wp_theme_options['tracking_pos'] = $_POST['tracking_pos'];
	
	// Store
	update_option($wp_theme_shortname.'-options',$wp_theme_options);
	echo '
	<div class="updated fade" id="message"><p>Theme Options <strong>SAVED</strong>.</p></div>
	';
	}
	
	//If User chose to reset
	else if( 'reset' == $_REQUEST['action'] ) {
	// Delete/Reset
	delete_option($wp_theme_shortname.'-options');
	echo '
	<div class="updated fade" id="message"><p>Theme Options <strong>RESET</strong>.</p></div>
	';
	}
}

// Print admin page
function wp_theme_adminpage_print() {
	
if (isset($_POST['wp_theme_options_submit']) && ($_POST['wp_theme_options_submit'] == 1) ) wp_theme_processforms();

// Set Globals
global $wp_theme_name;
global $wp_theme_shortname;
global $wp_theme_options;
global $wpdb;

// Pull options from database
$wp_theme_options = get_option($wp_theme_shortname.'-options');
// Set variables
$feedburner_url = $wp_theme_options['feedburner_url'];
$exclude_pages = $wp_theme_options['exclude_pages'];
$blurb_title = $wp_theme_options['blurb_title'];
$blurb_copy = $wp_theme_options['blurb_copy'];
$homepage_title = $wp_theme_options['homepage_title'];
$homepage_copy = $wp_theme_options['homepage_copy'];
$tracking = $wp_theme_options['tracking'];
$tracking_pos = $wp_theme_options['tracking_pos'];

	
wp_theme_options_adminpage_css(); // custom css
?>
<!--<?php print_r($wp_theme_options); //if you want to see the content of the array for debugging ?>-->
    <div class="wrap">
    <h2><?php echo $wp_theme_name; ?> Theme Settings</h2>
    <form method="post" action="" id="wp_theme_options">
	<?php wp_nonce_field('wp_theme_options_submit'); ?>
	<table class="form-table"><tbody>
	<input type="hidden" name="wp_theme_options_submit" value="1"/>
    
	<tr><th scope="row">Feedburner URL</th>
	<td>If you use a site like <a href="http://feedburner.com/">Feedburner</a> to handle your feeds, please enter your feed URL here (including http://):<br />
	<input type="text" value="<?php echo $feedburner_url; ?>" name="feedburner_url" id="feedburner_url" class="textbox"> (leave blank for none)
	</td></tr>
	
	<tr><th scope="row">Exclude Pages from Navigation</th>
	<td>Select any Pages you would like excluded from the horizontal navigation bar, including the "<strong>Home</strong>" link.<br />
	You may select more than one page by ctrl+clicking (command+click on the Mac) multiple Pages:<br />
	<select multiple name="exclude_pages[]" id="exclude_pages" size="100" class="multi-select">
	<option value="home"<?php if ($exclude_pages && in_array(0, $exclude_pages)) { echo ' selected="selected"'; } ?>>Home</option>
	<?php $pages = get_pages();
	foreach ($pages as $page) {
	if ($exclude_pages && in_array($page->ID, $exclude_pages)) { $selected = ' selected="selected"'; } else { $selected = ''; }
	$opt = '<option value="' . $page->ID . '"' . $selected . '>' . $page->post_title . '</option>';
	echo $opt; } ?>
	</select>
	</td></tr>
	
	<tr><th scope="row">Header Blurb</th>
	<td><strong>Please insert the title you'd like to use in the blurb in the header:</strong><br />
	<input type="text" value="<?php echo stripslashes($blurb_title); ?>" name="blurb_title" id="blurb_title" class="textbox"><br /><br />
	
	<strong>Please insert the text you would like to use in the blurb in the header:</strong><br />
	<textarea name="blurb_copy" id="blurb_copy" rows="10" cols="50" class="textarea"><?php echo stripslashes($blurb_copy); ?></textarea><br /><br />
	
	</td></tr>
	
	<tr><th scope="row">Homepage</th>
	<td><strong>Please insert the title you'd like to use on the static homepage:</strong><br />
	<input type="text" value="<?php echo stripslashes($homepage_title); ?>" name="homepage_title" id="homepage_title" class="textbox"><br /><br />
	
	<strong>Please insert the text you would like to use on the static homepage:</strong><br />
	<textarea name="homepage_copy" id="homepage_copy" rows="10" cols="50" class="textarea"><?php echo stripslashes($homepage_copy); ?></textarea><br /><br />
	
	<strong>NOTE:</strong> To edit the bottom sections of the static homepage, <a href="widgets.php">use Widgets &raquo;</a>
	</td></tr>
	
	<tr><th scope="row">Tracking Code</th>
	<td>If you use a tracking service like <a href="http://google.com/analytics">Google Analytics</a>, paste the tracking code in the box below:<br />
	(leave blank for none)<br />
	<textarea name="tracking" id="tracking" rows="3" cols="50" class="textarea"><?php echo stripslashes($tracking); ?></textarea><br />
	Does your tracking service go in the header or footer of the code?<br />
	<input type="radio" name="tracking_pos" value="header" <?php if($tracking_pos == 'header') echo 'checked'; ?>> Header<br />
	<input type="radio" name="tracking_pos" value="footer" <?php if($tracking_pos == 'footer') echo 'checked'; ?>> Footer
	</td></tr>
		
	</tbody></table>
	
	<p class="submit">
	<input name="save" type="submit" value="Save Options &raquo;" />	
	<input type="hidden" name="action" value="save" />
	</p>
	</form>
	<form method="post">
	<p class="submit">
	<input name="reset" type="submit" value="Reset Options &raquo;" />
	<input type="hidden" name="wp_theme_options_submit" value="1"/>
	<input type="hidden" name="action" value="reset" />
	</p>
	</form>

	</form>
	</div>
<?php
	wp_theme_adminpage_js(); // custom javascript
}
function wp_theme_options_adminpage_css() { //if you would like to add CSS to the admin page
	echo <<<CSS
	<style type="text/css">
		#wp_theme_options .dropdown {
			width: 210px;
		}
		#wp_theme_options .multi-select {
			height: 100px;
			width: 200px;
		}
		#wp_theme_options .textarea,
		#wp_theme_options .textbox {
			width: 400px;
		}
	</style>
	
	
CSS;
}
function wp_theme_adminpage_js() { // if you would like to add javascript to the admin page
	echo <<<JS
	<script type="text/javascript">
	</script>
JS;

}
add_action('admin_menu', 'wp_theme_admin'); 
?>