<?php
global $container_width;
//Custom Header Image Code -- from the WordPress.com API
define('HEADER_TEXTCOLOR', 'FFFFFF'); //doesn't matter
define('HEADER_IMAGE', '%s/images/header.jpg'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', $container_width);
define('HEADER_IMAGE_HEIGHT', 140);
define('NO_HEADER_TEXT', TRUE );

function header_style() {
?>
<style type="text/css">
#header, #header a {
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
	height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
	background: #FFF url(<?php header_image(); ?>) top left no-repeat;
}
</style>

<?php }
function admin_header_style() {
?>
<style type="text/css">
#headimg {
	margin: 0px; padding: 0px;
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
	height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
	background: url(<?php header_image(); ?>) top left no-repeat;
}
#headimg h1, #headimg #desc {
	display: none;
}
</style>

<?php }
add_custom_image_header('header_style', 'admin_header_style');  //Add the custom header


remove_action('admin_menu', array( &$GLOBALS['custom_image_header'], 'init') );

function ithemes_custom_image_header_init() {
	global $wp_theme_page_name;
	
	if ( ! empty( $wp_theme_page_name ) )
		$custom_header_page = add_submenu_page( $wp_theme_page_name, 'Custom Header', 'Custom Header', 'edit_themes', 'custom-header', array( &$GLOBALS['custom_image_header'], 'admin_page' ) );
	else
		$custom_header_page = add_theme_page( 'Custom Header', 'Custom Header', 'edit_themes', 'custom-header', array( &$GLOBALS['custom_image_header'], 'admin_page' ) );
	
	
	add_action( "admin_print_scripts-$custom_header_page", array( &$GLOBALS['custom_image_header'], 'js_includes' ) );
	add_action( "admin_head-$custom_header_page", array( &$GLOBALS['custom_image_header'], 'take_action' ), 50 );
	add_action( "admin_head-$custom_header_page", array( &$GLOBALS['custom_image_header'], 'js' ), 50 );
	add_action( "admin_head-$custom_header_page", 'ithemes_custom_image_header_js', 51 );
	add_action( "admin_head-$custom_header_page", $GLOBALS['custom_image_header']->admin_header_callback, 51 );
}

function ithemes_custom_image_header_js() {
	
?>
	<script type="text/javascript">
		(function($) {
			$(document).ready(
				function(){
					if(window.buttons) $(buttons.toString()).hide();
					$('#hidetext').hide();
					$(':submit[value=Save Changes]').hide();
					$('p:contains(This is your header image.)').hide();
				}
			);
		})(jQuery);
	</script>
<?php
	
}

add_action('admin_menu', 'ithemes_custom_image_header_init' );

?>