<?php
// Setting up our widgetized sidebars
if ( function_exists('register_sidebar') ) {
register_sidebar(array('name'=>'Page Sidebar','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>',));
register_sidebar(array('name'=>'Home Sidebar','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>',));
register_sidebar(array('name'=>'Post Sidebar','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>',));
register_sidebar(array('name'=>'Bottom Left Sidebar','before_widget' => '','after_widget' => '','before_title' => '<h6>','after_title' => '</h6>',));
register_sidebar(array('name'=>'Bottom Middle Sidebar','before_widget' => '','after_widget' => '','before_title' => '<h6>','after_title' => '</h6>',));
register_sidebar(array('name'=>'Bottom Right Sidebar','before_widget' => '','after_widget' => '','before_title' => '<h6>','after_title' => '</h6>',));
}

//Removing some unwanted widgets
function add_remove_widgets() {
    if ( function_exists('unregister_sidebar_widget') ) {
        unregister_sidebar_widget( __('Calendar') );
        unregister_sidebar_widget( __('Tag Cloud') );
    }
}
add_action('widgets_init','add_remove_widgets'); //Run the add_remove_widgets function when the widgets initialize
?>
<?php //Custom Header Image Code -- from the WordPress.com API
define('NO_HEADER_TEXT', true );
define('HEADER_IMAGE', '%s/images/header.png'); // %s is theme dir uri
define('HEADER_IMAGE_WIDTH', 369);
define('HEADER_IMAGE_HEIGHT', 196);
?>
<?php function grunge_header_style() { ?>
<style type="text/css">
#header #title a {
	background: url(<?php header_image(); ?>) top left no-repeat;
}
</style>
<?php } ?>
<?php function grunge_admin_header_style() { ?>
<!--[if lt IE 7]>
<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/supersleight-min.js"></script>
<![endif]-->
<style type="text/css">
#headimg {
	margin: 0px; padding: 0px;
	width: 779px;
	height: 196px;
}
#headimg h1 {
	text-align: center;
	width: 100%;
	margin: 0px 0px 0px 0px;
	background: #010101 url(<?php bloginfo('template_url'); ?>/images/body-bg.jpg) top center no-repeat;
}
#headimg h1 a {
	display: block;
	width: <?php echo HEADER_IMAGE_WIDTH; ?>px;
	height: <?php echo HEADER_IMAGE_HEIGHT; ?>px;
	margin: 0px auto; padding: 0px;
	text-indent: -9999px;
	background: url(<?php header_image(); ?>) top left no-repeat;
    border: none;
	overflow: hidden;
}
#headimg #desc {
    display: none;
}
#headimg {
	background: #010101 url(<?php bloginfo('template_url'); ?>/images/body-bg.jpg) no-repeat;
}
</style>
<?php }
add_custom_image_header('grunge_header_style', 'grunge_admin_header_style');  //Add the custom header
?>
<?php //Begin Theme Options Code (many thanks to the undersigned for the great tutorial)
$themename = "Grunge";
$shortname = "gg";
$options = array (
	
	array(	"name" => "Address Line 1",
			"id" => $shortname."_address_1",
			"std" => "",
			"type" => "text"),
	array(	"name" => "Address Line 2",
			"id" => $shortname."address_2",
			"std" => "",
			"type" => "text"),
	array(	"name" => "City",
			"id" => $shortname."_city",
			"std" => "",
			"type" => "text"),
	array(	"name" => "State",
			"id" => $shortname."_state",
			"std" => "",
			"type" => "text"),
	array(	"name" => "Zip",
			"id" => $shortname."_zip",
			"std" => "",
			"type" => "text"),
	array(	"name" => "Phone including dashes",
			"id" => $shortname."_phone",
			"std" => "",
			"type" => "text"),
	array(	"name" => "Email",
			"id" => $shortname."_email",
			"std" => "",
			"type" => "text")
);

function mytheme_add_admin() {

	global $themename, $shortname, $options;

	if ( $_GET['page'] == basename(__FILE__) ) {
	
		if ( 'save' == $_REQUEST['action'] ) {

				foreach ($options as $value) {
					update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }

				foreach ($options as $value) {
					if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } }

				header("Location: themes.php?page=functions.php&saved=true");
				die;

		} else if( 'reset' == $_REQUEST['action'] ) {

			foreach ($options as $value) {
				delete_option( $value['id'] ); }

			header("Location: themes.php?page=functions.php&reset=true");
			die;

		}
	}

    add_theme_page($themename." Options", "Current Theme Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

	global $themename, $shortname, $options;

	if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
	if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
	
?>
<div class="wrap">
<h2><?php echo $themename; ?> settings</h2>

<form method="post">

<table class="optiontable">

<?php foreach ($options as $value) { 
	
if ($value['type'] == "text") { //If we have configured this for text options ... ?>
		
<tr valign="top"> 
	<th scope="row"><?php echo $value['name']; ?>:</th>
	<td>
		<input name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
	</td>
</tr>

<?php } elseif ($value['type'] == "select") { //If we have configured this for select box options ... ?>

	<tr valign="top"> 
		<th scope="row"><?php echo $value['name']; ?>:</th>
		<td>
			<select name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
				<?php foreach ($value['options'] as $option) { ?>
				<option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
				<?php } ?>
			</select>
		</td>
	</tr>

<?php 
} 
}
?>

</table>

<p class="submit">
<input name="save" type="submit" value="Save changes" />	
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>
<?php
}
add_action('admin_menu', 'mytheme_add_admin'); ?>