<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'name' => 'sidebar_standard',
        'before_widget' => '<div id="%1$s" class="widget %2$s">',
        'after_widget' => '</div>',
        'before_title' => '<h2 class="widget_title">',
        'after_title' => '</h2>',
));


function wp_theme_get_theme_styles() {
	$files = array();
	
	if ( $dir = @opendir( TEMPLATEPATH ) ) {
		while ( ( $file = readdir( $dir ) ) !== false )
			if ( is_file( TEMPLATEPATH . '/' . $file ) && ( preg_match( '/^style-(.+)\.css$/i', $file, $matches ) ) )
				$files[] = $matches[1];
		
		closedir( $dir );
	}
	
	sort( $files );
	
	
	$options = '{select||Default';
	
	foreach ( (array) $files as $file )
		$options .= "|$file|$file";
	
	$options .= '}';
	
	
	return $options;
}


/*
File Name: Wordpress Theme Toolkit
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
*/

/************************************************************************************
 * THEME USERS : don't touch anything !! Or don't ask the theme author for support :)
 ************************************************************************************/

include(dirname(__FILE__).'/themetoolkit.php');

/************************************************************************************
 * THEME AUTHOR : edit the following function call :
 ************************************************************************************/

themetoolkit(
	'ignitetheme', /* Make yourself at home :
			* Name of the variable that will contain all the options of
			* your theme admin menu (in the form of an array)
			* Name it according to PHP naming rules (http://php.net/variables) */

	array(     /* Variables used by your theme features (i.e. things the end user will
			* want to customize through the admin menu)
 			* Syntax :
			* 'option_variable' => 'Option Title ## optionnal explanations',
			* 'option_variable' => 'Option Title {radio|value1|Text1|value2|Text2} ## optionnal explanations',
			* 'option_variable' => 'Option Title {textarea|rows|cols} ## optionnal explanations',
			* 'option_variable' => 'Option Title {checkbox|option_varname1|value1|Text1|option_varname2|value2|Text2} ## optionnal explanations',
			* Examples :
			* 'your_age' => 'Your Age',
			* 'cc_number' => 'Credit Card Number ## I can swear I will not misuse it :P',
			* 'gender' => 'Gender {radio|girl|You are a female|boy|You are a male} ## What is your gender ?'
			* Dont forget the comma at the end of each line ! */
			'style' => 'Select a Theme Style ' . wp_theme_get_theme_styles(),
			'newsletter_title' => 'Enter e-mail newsletter title ## &raquo; Required field.',
			'newsletter_code' => 'Enter e-mail newsletter form {textarea|8|40} ## &raquo; Required field.',
			'feedburner_code' => 'Enter Feedburner url ## &raquo; Required field.',
			'ga_code' => 'Enter Google Analytics Code {textarea|8|40} ## &raquo; Leave blank to NOT use Google Analytics.',
	),
	__FILE__	 /* Parent. DO NOT MODIFY THIS LINE !
			  * This is used to check which file (and thus theme) is calling
			  * the function (useful when another theme with a Theme Toolkit
			  * was installed before */
);
	
/************************************************************************************
 * THEME AUTHOR : Congratulations ! The hard work is all done now :)
 *
 * From now on, you can create functions for your theme that will use the array
 * of variables $ignitetheme->option. For example there will be now a variable
 * $ignitetheme->option['your_age'] with value as set by theme end-user in the admin menu.
 ************************************************************************************/

/***************************************
 * Additionnal Features and Functions
 *
 * Create your own functions using the array
 * of user defined variables $ignitetheme->option.
 *
 **************************************/

function ignite_theme_feedburner(){
  global $ignitetheme;
  if ($ignitetheme->option['feedburner_code']) {
    $feedburner_code = $ignitetheme->option['feedburner_code'];
    print ('<link rel="alternate" type="application/rss+xml" title="'. get_bloginfo_rss('name') . 'RSS Feed" href="' . $feedburner_code . '" />');
  } else {
    print ('<link rel="alternate" type="application/rss+xml" title="' . get_bloginfo_rss('name') . 'RSS Feed" href="' . get_bloginfo_rss('rss2_url') . '" />');
  }
}
function ignite_theme_feedburner_link(){
  global $ignitetheme;
  if ($ignitetheme->option['feedburner_code']) {
    $feedburner_code = $ignitetheme->option['feedburner_code'];
    return $feedburner_code;
  } else {
    return get_bloginfo_rss('rss2_url');
  }
}
function ignite_theme_ga(){
  global $ignitetheme;
  if ($ignitetheme->option['ga_code']) {
    $ga_code = $ignitetheme->option['ga_code'];
    print ($ga_code);
  }
}
function ignite_theme_newsletter(){
  global $ignitetheme;
  if ($ignitetheme->option['newsletter_code']) {
    $newsletter_code = $ignitetheme->option['newsletter_code'];
    print ($newsletter_code);
  } else {
    include (TEMPLATEPATH . '/include_newsletter.php');
  }
}
function ignite_theme_newsletter_title(){
  global $ignitetheme;
  if ($ignitetheme->option['newsletter_title']) {
    $newsletter_title = $ignitetheme->option['newsletter_title'];
    print ('<h2>' . $newsletter_title . '</h2>');
  } else {
    print ('<h2>Get our Newsletter</h2>');
  }
}
function ignite_theme_newsletter_widget(){
  global $ignitetheme;
  if ($ignitetheme->option['newsletter_code']) {
    $newsletter_code = $ignitetheme->option['newsletter_code'];
    include (TEMPLATEPATH . '/include_newsletter_widget.php');
  }
}

if (function_exists('register_sidebar_widget')){
  register_sidebar_widget('E-mail Newsletter','ignite_theme_newsletter_widget');
}

?>