<?php get_header(); ?>
<!--search.php-->

<div class="w600-" id="content">
    
	<h4><?php if (is_search()) { _e("Search Results for "); echo '"'.get_search_query().'"'; } ?></h4>
    <?php if (have_posts()) : while (have_posts()) : the_post(); // the loop ?>
    
	<!--Post Wrapper Class-->
	<div class="post wrap">
	
	<!--post title as a link-->
	<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h3>

    <!--post meta info-->
	<div class="meta-top">
        <span class="meta-date"><?php the_time(get_option('date_format')); ?></span>
        <span class="meta-author"><?php the_author_posts_link(); ?></span>
        <span class="meta-comments"><?php comments_popup_link('No Comments &#187;', '1 Comment &#187;', '% Comments &#187;'); ?></span>
        <span class="meta-category"><?php the_category(', ') ?></span>
	</div>

	<!--post text with the read more link-->
	<?php the_content(); ?>
    
    </div>

    <?php endwhile; //end one post ?>
    
    <!-- Previous/Next page navigation -->
    <div class="page-nav">
	    <div class="nav-previous"><?php previous_posts_link(__('&laquo; Previous Page')) ?></div>
	    <div class="nav-next"><?php next_posts_link(__('Next Page &raquo;')); ?></div>
    </div>   
                
	<?php else : //do not delete ?>

    <h3><?php _e("Page Not Found"); ?></h3>
    <p><?php _e("We're sorry, but the page you are looking for isn't here."); ?></p>
    <p><?php _e("Try searching for the page you are looking for or using the navigation in the header or sidebar"); ?></p>

	<?php endif; //do not delete ?>

</div>

<?php get_sidebar(); ?>
<?php get_footer(); ?>