<?php
//The Widgetization Code (sidebar, under adsense)
if ( function_exists('register_sidebar') ) {
register_sidebar(array('name'=>'Left Sidebar','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>',));
register_sidebar(array('name'=>'Right Sidebar','before_widget' => '<li>','after_widget' => '</li>','before_title' => '<h2>','after_title' => '</h2>',)); }

//Define the wp_content DIR for backward compatibility
if (!defined('WP_CONTENT_URL'))
	define('WP_CONTENT_URL', get_option('site_url').'/wp-content');
if (!defined('WP_CONTENT_DIR'))
	define('WP_CONTENT_DIR', ABSPATH.'/wp-content');

//Call jQuery, jTabber, and the custom.js file
function load_JS() {
	wp_enqueue_script('jtabber', $src = get_bloginfo('template_url').'/js/jtabber.js', $deps = array('jquery'));
}
add_action('wp_print_scripts','load_JS');
    
//A function to include files throughout the theme
//It checks to see if the file exists first, so as to avoid error messages.
function get_template_file($filename) {
if (file_exists(TEMPLATEPATH."/$filename"))
include(TEMPLATEPATH."/$filename");
}

//Custom Recent Comments plugin
include(TEMPLATEPATH."/lib/recent-comments.php");

//Custom Limit-Posts plugin
include(TEMPLATEPATH."/lib/limit-posts.php");

//Custom Header Image code
include(TEMPLATEPATH."/lib/custom-header.php");

//Theme Options Code
include(TEMPLATEPATH."/lib/theme-options.php");

//A simple function to get data stored in a custom field
function get_custom_field($field) {
	global $post;
	$custom_field = get_post_meta($post->ID, $field, true);
	echo $custom_field;
}

//A function to get custom field image attachment...
//if there is none, use default image
function image_attachment($field, $width, $height, $echo = TRUE) {
	global $post;
	$custom_field = get_post_meta($post->ID, $field, true);
	
	if($custom_field) { //if the user set a custom field
		if($echo) { echo '<img src="'.$custom_field.'" alt="'.get_the_title().'" width="'.$width.'" height="'.$height.'"/>'; }
		return TRUE;
	}
	else {
		return FALSE;
	}
}

//Footer Attribution Code
function footer_attribution() {
	echo ' &bull; Powered by <a href="http://wordpress.org/">WordPress</a>';
	echo ' &bull; <a href="http://inews.ithemes.com/" title="Premium News Theme">iNews Theme</a> by <a href="http://ithemes.com/" title="Premium WordPress Themes">iThemes</a>.';
}
add_action('wp_footer', 'footer_attribution');

///Tracking/Analytics Code
function print_tracking() {
	global $wp_theme_options;
	echo stripslashes($wp_theme_options['tracking']);
}
if ($wp_theme_options['tracking']) {
if ($wp_theme_options['tracking_pos'] == "header") {
	add_action('wp_head', 'print_tracking'); }
else { //default
	add_action('wp_footer', 'print_tracking'); } }

//A function to hide the popularity display
function akst_hide_pop() {
        return false;
}
add_action('akpc_display_popularity', 'akst_hide_pop');
?>