<?php
//This code was created by Me. And by "Me", I mean Nathan Rice.
//Referring to myself in the 3rd person would be douche-ish, no?

$wp_theme_name = "iNews";
$wp_theme_shortname = "in";

// Pull options from database, to use them in the theme
$wp_theme_options = get_option($wp_theme_shortname.'-options');
// Be sure to globalize the variable above in the theme files you'd like to use it in.
global $wp_theme_options; //wrapped in php tags

// Add the admin
function wp_theme_admin() {

// Use Globals
global $wp_theme_name;
global $wp_theme_shortname;

add_theme_page($wp_theme_name." Theme Options", $wp_theme_name." Theme Options", 'edit_themes', basename(__FILE__), 'wp_theme_adminpage_print');
}

// Process POST vars
function wp_theme_processforms() {
	
// Use Globals
global $wp_theme_name;
global $wp_theme_shortname;
global $wp_theme_options;
	
	//If User chose to save
	if ( 'save' == $_REQUEST['action'] ) {
	
	// Define and Sanitize (if necessary) before store
	$wp_theme_options['feedburner_url'] = $_POST['feedburner_url'];
	$wp_theme_options['exclude_pages'] = $_POST['exclude_pages'];
	$wp_theme_options['feature_cat'] = intval($_POST['feature_cat']);
	$wp_theme_options['sidenotes_cat'] = intval($_POST['sidenotes_cat']);
	$wp_theme_options['feature_video'] = $_POST['feature_video'];
	$wp_theme_options['adsense_left'] = $_POST['adsense_left'];
	$wp_theme_options['adsense_right'] = $_POST['adsense_right'];
	$wp_theme_options['tracking'] = $_POST['tracking'];
	$wp_theme_options['tracking_pos'] = $_POST['tracking_pos'];
	
	// Store
	update_option($wp_theme_shortname.'-options',$wp_theme_options);
	echo '
	<div class="updated fade" id="message"><p>Theme Options <strong>SAVED</strong>.</p></div>
	';
	}
	
	//If User chose to reset
	else if( 'reset' == $_REQUEST['action'] ) {
	// Delete/Reset
	delete_option($wp_theme_shortname.'-options');
	echo '
	<div class="updated fade" id="message"><p>Theme Options <strong>RESET</strong>.</p></div>
	';
	}
}

// Print admin page
function wp_theme_adminpage_print() {
	
if (isset($_POST['wp_theme_options_submit']) && ($_POST['wp_theme_options_submit'] == 1) ) wp_theme_processforms();

// Set Globals
global $wp_theme_name;
global $wp_theme_shortname;
global $wp_theme_options;
global $wpdb;

// Pull options from database
$wp_theme_options = get_option($wp_theme_shortname.'-options');

// Set variables
extract((array)$wp_theme_options);

	
wp_theme_options_adminpage_css(); // custom css
?>
    <div class="wrap">
    <h2><?php echo $wp_theme_name; ?> Theme Settings</h2>
    <form method="post" action="" id="wp_theme_options">
	<?php wp_nonce_field('wp_theme_options_submit'); ?>
	<table class="form-table"><tbody>
	<input type="hidden" name="wp_theme_options_submit" value="1"/>
    
	<tr><th scope="row">Feedburner URL</th>
	<td>If you use a site like <a href="http://feedburner.com/">Feedburner</a> to handle your feeds, please enter your feed URL here (including http://):<br />
	<input type="text" value="<?php echo $feedburner_url; ?>" name="feedburner_url" id="feedburner_url"> (leave blank for none)
	</td></tr>
	
	<tr><th scope="row">Exclude Pages from Navigation</th>
	<td>Select any Pages you would like excluded from the horizontal navigation bar, including the "<strong>Home</strong>" link.<br />
	You may select more than one page by ctrl+clicking (command+click on the Mac) multiple Pages:<br />
	<select multiple name="exclude_pages[]" id="exclude_pages" size="100">
	<option value="home"<?php if ($exclude_pages && in_array(0, $exclude_pages)) { echo ' selected="selected"'; } ?>>Home</option>
	<?php $pages = get_pages();
	foreach ($pages as $page) {
	if ($exclude_pages && in_array($page->ID, $exclude_pages)) { $selected = ' selected="selected"'; } else { $selected = ''; }
	$opt = '<option value="' . $page->ID . '"' . $selected . '>' . $page->post_title . '</option>';
	echo $opt; } ?>
	</select>
	</td></tr>
	
	<tr><th scope="row">Feature Category</th>
	<td>Please select the category you would like to use to populate the "Feature" section on the front page:<br />
	<select name="feature_cat" id="feature_cat">
	<?php $categories = get_categories('hide_empty=0');
	foreach ($categories as $cat) {
	if ($feature_cat == $cat->cat_ID) { $selected = ' selected="selected"'; } else { $selected = ''; }
	$opt = '<option value="' . $cat->cat_ID . '"' . $selected . '>' . $cat->cat_name . '</option>';
	echo $opt; } ?>
	</select>
	</td></tr>

	<tr><th scope="row">Sidenotes Category</th>
	<td>Please select the category you would like to use to populate the "Sidenotes" section on the front page:<br />
	<select name="sidenotes_cat" id="sidenotes_cat">
	<?php $categories = get_categories('hide_empty=0');
	foreach ($categories as $cat) {
	if ($sidenotes_cat == $cat->cat_ID) { $selected = ' selected="selected"'; } else { $selected = ''; }
	$opt = '<option value="' . $cat->cat_ID . '"' . $selected . '>' . $cat->cat_name . '</option>';
	echo $opt; } ?>
	</select>
	</td></tr>
	
	<tr><th scope="row">Feature Video Code</th>
	<td>Paste the embed code for the video (like <a href="http://www.youtube.com/">YouTube</a> or <a href="http://vimeo.com">Vimeo</a>) you would like featured on the front page:<br />
	<textarea name="feature_video" id="feature_video" rows="3" cols="50"><?php echo stripslashes($feature_video); ?></textarea>
	</td></tr>
	
	
	<tr><th scope="row">Adsense Left Block</th>
	<td>Paste the adsense code to be used in the left Sidebar (leave blank for none):<br />
	<textarea name="adsense_left" id="adsense_left" rows="3" cols="50"><?php echo stripslashes($adsense_left); ?></textarea>
	</td></tr>
	
	<tr><th scope="row">Adsense Right Block</th>
	<td>Paste the adsense code to be used in the right Sidebar (leave blank for none):<br />
	<textarea name="adsense_right" id="adsense_right" rows="3" cols="50"><?php echo stripslashes($adsense_right); ?></textarea>
	</td></tr>
	
	<tr><th scope="row">Tracking Code</th>
	<td>If you use a tracking service like <a href="http://google.com/analytics">Google Analytics</a>, paste the tracking code in the box below:<br />
	(leave blank for none)<br />
	<textarea name="tracking" id="tracking" rows="3" cols="50"><?php echo stripslashes($tracking); ?></textarea><br />
	Does your tracking service go in the header or footer of the code?<br />
	<input type="radio" name="tracking_pos" value="header" <?php if($tracking_pos == 'header') echo 'checked'; ?>> Header<br />
	<input type="radio" name="tracking_pos" value="footer" <?php if($tracking_pos == 'footer') echo 'checked'; ?>> Footer
	</td></tr>
		
	</tbody></table>
	
	<p class="submit">
	<input name="save" type="submit" value="Save Options &raquo;" />	
	<input type="hidden" name="action" value="save" />
	</p>
	</form>
	<form method="post">
	<p class="submit">
	<input name="reset" type="submit" value="Reset Options &raquo;" />
	<input type="hidden" name="wp_theme_options_submit" value="1"/>
	<input type="hidden" name="action" value="reset" />
	</p>
	</form>

	</form>
	</div>
<?php
	wp_theme_adminpage_js(); // custom javascript
}
function wp_theme_options_adminpage_css() { //if you would like to add CSS to the admin page
	echo <<<CSS
	<style type="text/css">
		#wp_theme_options #feature_cat,
		#wp_theme_options #sidenotes_cat,
		#wp_theme_options #exclude_pages {
			width: 210px;
		}
		#wp_theme_options #post_by_cat,
		#wp_theme_options #exclude_pages {
			height: 100px;
		}
		#wp_theme_options #feedburner_url,
		#wp_theme_options #feature_video,
		#wp_theme_options #adsense_left,
		#wp_theme_options #adsense_right,
		#wp_theme_options #tracking {
			width: 400px;
		}
	</style>
	
	
CSS;
}
function wp_theme_adminpage_js() { // if you would like to add javascript to the admin page
	echo <<<JS
	<script type="text/javascript">
	</script>
JS;

}
add_action('admin_menu', 'wp_theme_admin'); 
?>